package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import lingtao.net.bean.Finance;

@Mapper
public interface FinanceMapper {

	List<Finance> getFinance(Finance finance);

	void insertForeach(List<Finance> list);

	// 查询数据是否存在，避免重复上传
	String checkAccountNumber(@Param("orderNumber") String orderNumber);

	List<String> getAllFilename(@Param("creator") String creator);

	@Delete("delete from tbl_sys_finance where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename(@Param("filename") String filename, @Param("realname") String realname);

}
